MODBUS_SET_RESPONSE_(3)

NAME
modbus_set_response_timeout - set timeout for response

SYNOPSIS

void modbus_set_response_timeout(modbus_t *ctx, struct timeval *timeout);

DESCRIPTION

The modbus_set_response_timeout() function shall set the timeout interval used to wait for a response. If the waiting before receiving the response is longer than the given timeout, an error will be raised.

RETURN VALUE

There is no return values.

EXAMPLE

    struct timeval old_response_timeout;
    struct timeval response_timeout;

    /* Save original timeout */
    modbus_get_response_timeout(ctx, &old_response_timeout);

    /* Define a new and too short timeout! */
    response_timeout.tv_sec = 0;
    response_timeout.tv_usec = 0;
    modbus_set_response_timeout(ctx, &response_timeout);

SEE ALSO

modbus_get_response_timeout(3) modbus_get_byte_timeout(3) modbus_set_byte_timeout(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com